# navigation_bar

通用NavigationBar

## DEMO
```
Container(                                                      // 必须使用确定高度的Widget包裹起来
    height: 35,
    child: NavigationBar(
        selectColor: Colors.green,                              // 选中字体颜色
        normalColor: Colors.red,                                // 未选中字体颜色
        controller: tabController,                              // 控制器
        selectStyle: TextStyle(fontWeight: FontWeight.bold),    // 选中字体样式，color无效
        items: ["TAB_1", "TAB_2", "TAB_3"],                     // 数据列表
        isScrollable: true,                                     // 是否可以滚动，false时item平分tabbar宽度
        indicatorSize: TabBarIndicatorSize.tab,                 // 指示器宽度，tab占满item,label对齐item文字宽度，对ImageIndicator和设置了宽度RoundRectIndicator无效
        indicator: ImageIndicator(                              // 指示器
            image: 'assets/test/home_choose_logo.png',
            width: 12,
            height: 6,
            marginBottom: 3,
            color: Colors.green
        ),
        onChange: (index) {                                     // index改变事件

        }
    ),
)

```

## 指示器
```
ImageIndicator(                                     // 图片指示器
    image: 'assets/test/home_choose_logo.png',      // 图片地址，仅支持本地
    width: 12,                                      // 图片显示宽度
    height: 6,                                      // 图片显示高度
    marginBottom: 3,                                // 图片距离底部边距
    color: Colors.green,                            // 颜色，可以改变图片颜色
)



RoundRectIndicator(                                 // 圆角矩形指示器
    round: 2,                                       // 指示器圆角
    width: 30,                                      // 显示宽度
    height: 2,                                      // 显示高度
    marginBottom: 3,                                // 距离底部边距
    color: Colors.green,                            // 颜色

)

```


navigation_bar:
    git:
        url: 'git@git.xiaomanxiong.com:wangll/navigation_bar.git'
        ref: 'null-safety'
